<div class="container">
    <!-- <h2>
        <span>Buat Data Invoice DownPayment</span>
    </h2> -->
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12">
            <p-checkbox name="penyelesaian" label="Check Untuk Penyelesaian Uang Muka" styleClass="form-check-input"
                [(ngModel)]="penyelesaian" binary="true" (click)="ispenyelesaian()"></p-checkbox>
        </div>
        <div *ngIf="penyelesaian === true">
            <jhi-invoice-new [idpay]="idpay"></jhi-invoice-new>
        </div>
        <div class="ui-g-12" style="margin-top: 10px" *ngIf="penyelesaian === false">
            <div class="row">
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nott">No Tanda Terima</label>
                        <input type="text" class="form-control" name="address" id="field_nott"
                            [(ngModel)]="inv.receiptno" autocomplete="off" [disabled]="isview" />
                        <div class="ui-g-12">
                            <div class="ui-g-4">
                                <button type="button" [routerLink]="[
                    '/',
                    { outlets: { popup: 'tanda-terima-as-lov' } }
                  ]" replaceUrl="true" label="cari" class="btn btn-danger btn-block">
                                    <span>Cari Tanda Terima
                                        <i class="fa fa-search" aria-hidden="true"></i></span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_tgltt">Tanggal Tanda Terima</label>
                        <p-calendar [showIcon]="true" [(ngModel)]="dtReceipt" [disabled]="isview"></p-calendar>
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">No Faktur Suplier</label>
                        <input type="text" class="form-control" name="address" id="field_address"
                            [(ngModel)]="inv.invno" autocomplete="off" [disabled]="isview" />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">No Faktur Pajak Suplier</label>
                        <input type="text" class="form-control" name="kpayterms" id="field_payterms"
                            [(ngModel)]="inv.taxinvno" autocomplete="off" [disabled]="isview" />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                            field="nmSupplier" placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                            [dropdown]="true" [disabled]="true"></p-autoComplete>
                    </div>
                </div>

                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                            (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                            [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                            (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]="true"></p-autoComplete>
                    </div>
                </div>
            </div>
        </div>
        <br />
        <div class="ui-g-4" *ngIf="penyelesaian === false">
            <button type="button" [routerLink]="['/', { outlets: { popup: 'po-as-lov' } }]" replaceUrl="true"
                label="cari" class="btn btn-danger btn-block" [disabled]="isview">
                <span>Cari No. PO</span>
            </button>
        </div>
        <div class="ui-g-12" *ngIf="penyelesaian === false">
            <p-dataTable [value]="invItems" [editable]="true" [responsive]="true">
                <header></header>
                <p-column header="No">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{ rowIndex + 1 }}
                    </ng-template>
                </p-column>
                <p-column header="No PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <a (click)="openPdf(rowData)">{{rowData.noPO}}</a> -->
                        {{ rowData.nopo }}
                    </ng-template>
                </p-column>
                <p-column header="QTY">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{ rowData.qty }}
                    </ng-template>
                </p-column>
                <p-column header="Harga Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{ rowData.price | number : "1.0-2" }}
                    </ng-template>
                </p-column>
                <p-column header="Harga Total">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{ rowData.totalprice | number : "1.0-2" }}
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
        <div class="ui-g-12" *ngIf="penyelesaian === false">
            <div class="ui-g-6"></div>
            <div class="ui-g-6">
                <div class="ui-g-12">
                    <label class="form-control-label" for="field_total">Total</label>
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="inv.total"
                        [options]="{
              prefix: '',
              thousands: ',',
              decimal: '.',
              precision: '2'
            }" [disabled]="true" />
                </div>
            </div>
            <div class="ui-g-12" style="margin-bottom: 50px">
                <div class="btn-group flex-btn-group-container">
                    <button pButton type="submit" label="Simpan" icon="fa-save"
                        class="ui-button-primary flat-label-button" (click)="createINV2()" [disabled]="isview"></button>
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()"></button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 50px"></div>
<p-confirmDialog></p-confirmDialog>